// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    language: "",
    memberInof: "",
    all_List: "",
    rewards_list: "",
    is_open: "",
    record_title: "",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.checkrouter();
    this.setData({
      is_open: "",
    });
    this.getData();

    this.isShowTask();
  },
  checkrouter() {
    try {
      // 推广中心是否开启该功能，没开启跳转到指定路径
      let basic_info = wx.getStorageSync("yz_basic_info");
      let stop_info = basic_info.popularize_page.mini.vue_route;
      for (let i = 0; i < stop_info.length; i++) {
        if (stop_info[i] == "PartnershipTeam") {
          console.log(basic_info.popularize_page.mini.mini_url + "跳转的路径");

          wx.showToast({
            title: "未开启推广权限",
            duration: 1000,
            icon: "none",
            success: function () {
              setTimeout(() => {
                wx.redirectTo({
                  url: basic_info.popularize_page.mini.mini_url,
                });
              }, 1000);
            },
          });
          return;
        }
      }
    } catch (e) {
      console.log(e);
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let language = wx.getStorageSync("langIndex");
    this.setData({ language: language.en });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  isShowTask() {
    let urlStr = app.getNetAddresss("plugin.nominate.frontend.task.enable");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            is_open: resdata.data.is_open,
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  getData() {
    let urlStr = app.getNetAddresss("plugin.nominate.frontend.home.index");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            all_List: resdata.data,
            memberInof: resdata.data.member,
            rewards_list: resdata.data.rewards,
            record_title: resdata.data.plugin_name,
          });
          wx.setNavigationBarTitle({
            title: resdata.data.plugin_name ? resdata.data.plugin_name : "",
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  RewardDet(val) {
    let item = val.target.dataset.item || val.currentTarget.dataset.item;
    wx.navigateTo({
      url: "/packageB/member/enterprise/ManagementRecord/ManagementRecord" + "?fromHome=1" + "&name=" + item.identifying + "&reward_name=" + item.reward_name,
    });
    // this.$router.push(
    //   this.fun.getUrl(
    //     'ManagementRecord',
    //     { fromHome: 1 },
    //     {
    //       name: item.identifying,
    //       reward_name: item.reward_name
    //     }
    //   )
    // )
  },
  taskDet() {
    wx.navigateTo({
      url: "/packageB/member/enterprise/TaskList/TaskList",
    });
    // this.$router.push(this.fun.getUrl("TaskList"))
  },
});
